/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.message;

/**
 * Exception thrown by message manager when an invalid reference is used.
 */
public class InvalidReference extends RuntimeException
{

  private static final long serialVersionUID = -3242024027415785456L;

  /** @see RuntimeException#RuntimeException() */
  public InvalidReference()
  {
    super();
  }

  /** @see RuntimeException#RuntimeException(String, Throwable) */
  public InvalidReference(String message, Throwable cause)
  {
    super(message, cause);
  }

  /** @see RuntimeException#RuntimeException(String) */
  public InvalidReference(String message)
  {
    super(message);
  }

  /** @see RuntimeException#RuntimeException(Throwable) */
  public InvalidReference(Throwable cause)
  {
    super(cause);
  }
}
