/**
 * Dream
 * Copyright (C) 2003-2004 INRIA Rhone-Alpes
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * Contact: dream@objectweb.org
 *
 * Initial developer(s): Matthieu Leclercq
 * Contributor(s): 
 */

package org.objectweb.dream.message;

import org.objectweb.fractal.api.control.AttributeController;

/**
 * Attribute controller interface for message manager.
 */
public interface MessageManagerAttributeController extends AttributeController
{
  /**
   * Sets the <code>doCheck</code> attribute value. If <code>true</code>,
   * additional (expensive) checks will be performed by the message manager.
   * This can be useful to detect bugs in a dream architecture. Default value is
   * <code>false</code>.
   * 
   * @param doCheck the new <code>doCheck</code> attribute value.
   */
  void setDoCheck(boolean doCheck);

  /**
   * Returns the <code>doCheck</code> attribute value.
   * 
   * @return the <code>doCheck</code> attribute value.
   * @see #setDoCheck(boolean)
   */
  boolean getDoCheck();
}
